From kataoka@ics.osaka-u.ac.jp Sun Sep 16 03:02:29 1990
From: kataoka@ics.osaka-u.ac.jp (Mitsuteru KATAOKA)
Newsgroups: fj.sys.news
Subject: Re: How can I make AMD (a free automounter) on NEWS?
Date: 7 Sep 90 12:56:41 GMT
Distribution: fj
Organization: Dept. of Information & Computer Sciences, Osaka Univ., JAPAN
In-reply-to: kataoka@ics.osaka-u.ac.jp's message of 6 Sep 90 08:06:38 GMT

$@JR2,(J> $@$I$J$?$+(JAMD$@$r(JNEWS$@$K%$%s%9%H!<%k$5$l$?J}$O$$$i$C$7$c$$$^$;$s$G$7$g$&$+!#(J

$@0zCO(J> NWS-3800(RISC NEWS) running NEWS-OS Release 3.91R $@$GBgBN<!$N$h$&$J(J
$@0zCO(J> $@=$@5$rF~$l$F(J install $@$7$F;H$C$F$$$^$9!#4pK\E*$K(J os-sos3.h $@$,(J NEWS
$@0zCO(J> os 3.X$@$G;H$($k$h$&$J5$$,$7$^$9!#(J

SRA$@$N0zCO$5$s(J(hikichi@ext12.sra.co.jp (Nobuyuki Hikichi))$@$K(JRISC NEWS$@MQ(J
$@$N%Q%C%A$rAw$C$F$$$?$@$-$^$7$?!#;n$7$F$_$?$H$3$m(JRISC-NEWS$@$@$1$G$J$/(J
NEWS-OS 3.3$@$NAv$C$F$$$k(J NWS-831, 1720 $@$J$I$G$bF0:n$7$^$7$?!#0zCO$5$s!"(J
$@K\Ev$K$"$j$,$H$&$4$6$$$^$7$?!#(J

$@$5$FAw$C$F$$$?$@$$$?(Jdiff$@$O(JAMD-5.1.1.1$@MQ$N$b$N$@$C$?$N$G!"$3$A$i$G>!<j(J
$@$K(JAMD-5.2$@MQ$N%Q%C%A$K:n$j$+$($F$_$^$7$?!#$A$J$_$K(J ./config/arch,
./config/os-type (5.1.1.1$@$G$O(J./arch, ./os-type)$@$NJV$9CM$O0J2<$N$h$&$K(J
$@$J$C$F$$$^$9!#(J

	$@%^%7%s$H(JOS		| os-type  | arch
--------------------------------+----------+---------
NWS-8xx,17xx,18xx   NEWS-OS 3.3	| news33   | news
NWS-3800(RISC NEWS) NEWS-OS 3.9r| news39   | risc_news


$@2?$+$N;29M$K$G$b$J$l$P9,$$$G$9(J

---CUT HERE------CUT HERE------CUT HERE------CUT HERE------CUT HERE---
#! /bin/sh
# This is a shell archive, meaning:
# 1. Remove everything above the #! /bin/sh line.
# 2. Save the resulting text in a file.
# 3. Execute the file with /bin/sh (not csh) to create the files:
#		os-news33.h
#		os-news39.h
#		NEWS#1
# This archive created:  Fri Sep 7 20:32:39 JST 1990
export PATH; PATH=/bin:$PATH
:
:	File = os-news33.h
:
echo shar: extracting "'os-news33.h'" '( 130 characters )'
if test -f 'os-news33.h'
then
	echo shar: will not over-write existing file "'os-news33.h'"
else
cat > os-news33.h << '!End-Of-os-news33.h!'
/* os-news33.h: */

/*
 * Sony NEWS os 3.3 definitions for Amd (automounter)
 *    based os-xinu43.h
 */

#include "os-news39.h"

!End-Of-os-news33.h!
if test 130 -ne "`wc -c < 'os-news33.h'`"
then
	 echo shar: error transmitting "'os-news33.h'" '(should have been 130 characters)'
fi
fi
:
:	File = os-news39.h
:
echo shar: extracting "'os-news39.h'" '( 1958 characters )'
if test -f 'os-news39.h'
then
	echo shar: will not over-write existing file "'os-news39.h'"
else
cat > os-news39.h << '!End-Of-os-news39.h!'
/* os-news39.h: */

/*
 * Sony NEWS os 3.9 R (RISC NEWS os) definitions for Amd (automounter)
 *    based os-xinu43.h
 *
 * Copyright (c) 1990 Nobuyuki Hikichi
 * Copyright (c) 1989 Jan-Simon Pendry
 * Copyright (c) 1989 Imperial College of Science, Technology & Medicine
 * Copyright (c) 1989 The Regents of the University of California.
 * All rights reserved.
 *
 * This code is derived from software contributed to Berkeley by
 * Jan-Simon Pendry at Imperial College, London.
 *
 * Redistribution and use in source and binary forms are permitted provided
 * that: (1) source distributions retain this entire copyright notice and
 * comment, and (2) distributions including binaries display the following
 * acknowledgement:  ``This product includes software developed by the
 * University of California, Berkeley and its contributors'' in the
 * documentation or other materials provided with the distribution and in
 * all advertising materials mentioning features or use of this software.
 * Neither the name of the University nor the names of its contributors may
 * be used to endorse or promote products derived from this software without
 * specific prior written permission.
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 *	%W% (Berkeley) %G%
 */

/*
 * Does the compiler grok void *
 */
#undef	VOIDP

/*
 * Which version of the Sun RPC library we are using
 * This is the implementation release number, not
 * the protocol revision number.
 */
#define	RPC_3
/* #define RPC_3_9 */

/*
 * Which version of the NFS interface are we using.
 * This is the implementation release number, not
 * the protocol revision number.
 */
#define	NFS_3

#undef ARCH_ENDIAN
#define ARCH_ENDIAN "big"

/*
 * Name of filesystem types
 */
#define	MOUNT_TYPE_UFS	MOUNT_UFS
#define MOUNT_TYPE_NFS	MOUNT_NFS

!End-Of-os-news39.h!
if test 1958 -ne "`wc -c < 'os-news39.h'`"
then
	 echo shar: error transmitting "'os-news39.h'" '(should have been 1958 characters)'
fi
fi
:
:	File = NEWS#1
:
echo shar: extracting "'NEWS#1'" '( 2225 characters )'
if test -f 'NEWS#1'
then
	echo shar: will not over-write existing file "'NEWS#1'"
else
cat > NEWS#1 << '!End-Of-NEWS#1!'
Index: Makefile.top
*** Makefile.top-dist	Sun Jun 24 06:17:13 1990
--- Makefile.top	Fri Sep  7 16:10:33 1990
***************
*** 43,49 ****
  
  # -------- You should leave the rest alone! --------
  
! OS_SUPPORTED = acis43 aix3 aux bsd44 concentrix fpx4 hlh42 hpux pyrOSx riscix sos3 sos4 u2_2 u3_0 umax43 utx32 xinu43
  CHECK_OS = \
  	case " ${OS_SUPPORTED} " in *" $${OS} "*) ;; \
  	*) case "$${OS}" in unknown);; *) echo "Unknown OS '$${OS}'";; esac; \
--- 43,49 ----
  
  # -------- You should leave the rest alone! --------
  
! OS_SUPPORTED = acis43 aix3 aux bsd44 concentrix fpx4 hlh42 hpux pyrOSx riscix sos3 sos4 u2_2 u3_0 umax43 utx32 xinu43 news39 news33
  CHECK_OS = \
  	case " ${OS_SUPPORTED} " in *" $${OS} "*) ;; \
  	*) case "$${OS}" in unknown);; *) echo "Unknown OS '$${OS}'";; esac; \
Index: amd/nfs_start.c
*** nfs_start.c-dist	Sun Jun 24 06:16:53 1990
--- nfs_start.c	Fri Sep  7 16:17:27 1990
***************
*** 166,172 ****
--- 166,177 ----
  #ifdef FD_SET
  		fd_set readfds;
  		FD_ZERO(&readfds);
+ /* + For SONY NEWS running NEWS-OS 3.9R kataoka@ics.osaka-u.ac.jp */
+ #ifdef sony_news
+ 		readfds.fds_bits[0] = svc_fds.fds_bits[0];
+ #else
  		readfds.fds_bits[0] = svc_fds;
+ #endif /* sony_news */
  		FD_SET(fwd_sock, &readfds);
  #else
  		int readfds = svc_fds | (1 << fwd_sock);
Index: config/arch
*** arch-dist	Sun Jun 24 06:17:20 1990
--- arch	Fri Sep  7 16:37:57 1990
***************
*** 59,64 ****
--- 59,70 ----
  		A/UX) echo macII ; exit 0 ;;
  		*) ;;
  	esac
+ elif [ -d /usr/sony ]
+ then
+ 	case "`strings /lib/cpp|grep Dmips`" in
+ 	*-Dmips*)       echo risc_news; exit 0;;
+ 	*)		echo news; exit 0;;
+ 	esac
  fi
  
  #
***************
*** 82,89 ****
  				fi
  			fi
  			;;
- fi
- 
  esac
  
  echo "	... architecture appears to be \"${ARCH}\"" >&2
--- 88,93 ----
Index: config/os-type
*** os-type-dist	Fri Sep  7 13:42:58 1990
--- os-type	Fri Sep  7 16:44:35 1990
***************
*** 55,60 ****
--- 55,66 ----
  				fi;;
  *"Alliant Concentrix"*)		OS=concentrix;;
  *"Umax 4.3"*)			OS=umax43;;
+ *"4.3 BSD #"*)			if [ -d /usr/sony ]; then
+ 					case "`strings /lib/cpp|grep Dmips`" in
+ 					*-Dmips*)	OS=news39;;
+ 					*)		OS=news33;;
+ 					esac
+ 				fi;;
  *)
  #
!End-Of-NEWS#1!
if test 2225 -ne "`wc -c < 'NEWS#1'`"
then
	 echo shar: error transmitting "'NEWS#1'" '(should have been 2225 characters)'
fi
fi
#	End of shell archive
--
$@JR2,(J  $@=<>H(J (KATAOKA, Mitsuteru)
kataoka@ics.osaka-u.ac.jp

